#include "../misc/Random.h"
#include "SmokeTrail.h"

/************************************************/

GLBitmap *SmokeTrail::smokeBMP = NULL;

/************************************************/

void SmokeTrail::renderTrail(TrailInfo t)
{
	double done = t.time / persistence;
	double scale = 0.15 + 0.4 * done;
	GLColor drawColor;
	
	drawColor.a = 0.8 - done * 0.8;
	drawColor.r = color.r * done + (1.0 - done);
	drawColor.g = color.g * done + (1.0 - done);
	drawColor.b = color.b * done + (1.0 - done);
	
	smokeBMP->setTint(drawColor);
	
	smokeBMP->setScale(scale, scale);
	smokeBMP->setRotation(randomFloat(0.0, 360.0));
	
	smokeBMP->draw(t.x, t.y);
}
