#include "../misc/TextHandler.h"
#include "../player/Player.h"
#include "Scoreboard.h"

void Scoreboard::render()
{
	TextRenderer *tr = TextHandler::getInstance()->getRenderer("wet");
	
	tr->setSize(0.4, 0.4);

	for (int i = 0; i < playerCount; i++)
	{
		tr->printf((int)x + 1, (int)y + i * 18 + 1, 1.0, 0.0, GLColor(0.0, 0.0, 0.0, 0.4), "%s: %d", players[i]->getName().c_str(), players[i]->getScore());
	
		//GLColor printColor = GLColor(1.0, 1.0, 1.0, 0.4);
		GLColor printColor = players[i]->getColor();
		printColor.r = printColor.r * 0.7 + 0.3; printColor.g = printColor.g * 0.7 + 0.3; printColor.b = printColor.b * 0.7 + 0.3;
		printColor.a = 0.6;
		
		tr->printf((int)x, (int)y + i * 18, 1.0, 0.0, printColor, "%s: %d", players[i]->getName().c_str(), players[i]->getScore());
	}
}
