#ifndef _SCOREBOARD_H
#define _SCOREBOARD_H

/********************************************/

#include "../Classes.h"
#include "../entity/Entity.h"

/********************************************/

class Scoreboard
	: public Entity
{
	protected:
		Player **players;
		int playerCount;
	
	public:
		Scoreboard(Player **_players, int _playerCount)
			: Entity(790.0, 7.0), players(_players), playerCount(_playerCount) {};
		
		int		renderPriority() {return 1;};
		double	scrollingSpeed() {return -0.4;};
		void		render();
};

/********************************************/

#endif
